Get derivation rules
curl --request GET \
--url https://api-dev.narrative.io/derivations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/derivations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/derivations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/derivations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/derivations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/derivations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/derivations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": 42,
"name": "raw_email_to_sha256",
"description": "Hashes the raw email address with SHA-256.",
"source_attribute_id": 123,
"target_attribute_id": 123,
"company_id": 123,
"collaborators": {
"use": {
"type": "none"
}
},
"mapping": {
"type": "object_mapping",
"property_mappings": [
{
"expression": "<string>",
"path": "<string>"
}
]
},
"lossy": true,
"imprecise": true,
"fidelity_note": "<string>",
"cost": 1,
"active": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": 123,
"warnings": [
{
"type": "cyclic_derivation",
"cycle": [
123
]
}
]
}
]
}Derivations
Get derivation rules
Return the derivation rules usable by your company — the ones it owns plus the ones shared with it through collaborators — optionally filtered by source or target attribute.
GET
/
derivations
Get derivation rules
curl --request GET \
--url https://api-dev.narrative.io/derivations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/derivations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/derivations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-dev.narrative.io/derivations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-dev.narrative.io/derivations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-dev.narrative.io/derivations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-dev.narrative.io/derivations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": 42,
"name": "raw_email_to_sha256",
"description": "Hashes the raw email address with SHA-256.",
"source_attribute_id": 123,
"target_attribute_id": 123,
"company_id": 123,
"collaborators": {
"use": {
"type": "none"
}
},
"mapping": {
"type": "object_mapping",
"property_mappings": [
{
"expression": "<string>",
"path": "<string>"
}
]
},
"lossy": true,
"imprecise": true,
"fidelity_note": "<string>",
"cost": 1,
"active": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": 123,
"warnings": [
{
"type": "cyclic_derivation",
"cycle": [
123
]
}
]
}
]
}
